package com.xinelu.common.enums;

public enum PersonnelTypeEnum {

    /**
     * 在院
     */
    IN_HOSPITAL("IN_HOSPITAL", "在院"),

    /**
     * 门诊
     */
    OUTPATIENT("OUTPATIENT", "门诊"),

    /**
     * 出院
     */
    DISCHARGED("DISCHARGED", "出院"),

    /**
     * 体检
     */
    PHYSICAL_EXAMINATION("PHYSICAL_EXAMINATION", "体检");

    private final String code;

    final private String info;

    PersonnelTypeEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
